//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Item/ItemFactory.h
//! @brief     Defines namespace GUI::Model::ItemFactory
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODEL_ITEM_ITEMFACTORY_H
#define BORNAGAIN_GUI_MODEL_ITEM_ITEMFACTORY_H

#include <QString>

class SessionItem;

namespace GUI::Model::ItemFactory {

//! create SessionItem of specific type and parent
SessionItem* CreateItem(const QString& model_name, SessionItem* parent = nullptr);

} // namespace GUI::Model::ItemFactory

#endif // BORNAGAIN_GUI_MODEL_ITEM_ITEMFACTORY_H
